#ifndef __MODIFICATIONLISTENER_H
#define __MODIFICATIONLISTENER_H

#include "volumeshop.h"
#include "ModificationTracker.h"

class ModificationListener
{
public:
	ModificationListener(const ModificationTracker & modTracker) : m_modTracker(modTracker), m_uVersion(m_modTracker.GetVersion())
	{
	};

	~ModificationListener()
	{
	};

	const bool IsModified() const
	{
		return (m_uVersion != m_modTracker.GetVersion());
	}

	void reset()
	{
		m_uVersion = m_modTracker.GetVersion();
	};

private:
	const ModificationTracker & m_modTracker;
	unsigned int m_uVersion;
};
#endif

