#ifndef __FONT_H
#define __FONT_H

#include "volumeshop.h"
#include "Box.h"
#include <string>

class Font
{
public:

	Font();
	Font (const std::string & strName, const unsigned int uSize = 12, const bool bBold = false, const bool bItalic = false, const bool bUnderline = false, const bool bStrikeout = false);
	~Font();
	
	void display(const std::string & strText) const;
	void display(const Box & boxBox, const std::string & strText) const;
	void display(const char *pFormat, ...) const;
	void display(const Box & boxBox, const char *pFormat, ...) const;
	const Box GetBoundingBox(const std::string & strText) const;

private:
//	HFONT m_hFont;
	unsigned int m_uBase;
};

#endif

