#ifndef PLANE_H
#define PLANE_H

#include "Vector.h"
#include "Environment.h"
#include "Shader.h"
class Plane {
	private:
		Vector m_vPosition;
		float m_fScale;
		Vector * m_vTexCoords;

	public:
		Plane();
		Plane(Vector p, float s);

		Vector GetPosition();
		void SetPosition(Vector p);
		float GetScale();
		void SetScale(float s);
		Vector * GetTextureCoords();
		void SetTextureCoords(Vector * texC);
		void render(Environment & m_envEnvironment, Program * m_shaderProgram);
		void renderDemo();

};
#endif
